#include <bits/stdc++.h>

using namespace std;



int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    long long n;
    cin >> n;
    long long res = 0;
    int a[10] = {0, 1, 1, 2, 2, 1, 2, 2, 3, 3};
    while(n != 0)
    {
        res += a[n % 10];
        n /= 10;
    }
    cout << res;

    return 0;
}